Bug 161628 - httpd-devel depends on large number of unnecessary packages
httpd-devel depends on large number of unnecessary packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-24 17:33 EDT by mario neto
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-24 17:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mario neto 2005-06-24 17:33:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Hi,

In order to reduce the size of FC would be great to trim the dependencies of some packages such as httpd-devel

Installing:
 httpd-devel             i386       2.0.54-10        base              148 k
Installing for dependencies:
 apr-devel               i386       0.9.6-3          base              518 k
 apr-util-devel          i386       0.9.6-2          base              239 k
 cyrus-sasl-devel        i386       2.1.20-5         base              1.4 M
 db4-devel               i386       4.3.27-3         base              1.9 M
 expat-devel             i386       1.95.8-6         base              127 k
 openldap-devel          i386       2.2.23-5         base              1.4 M
 pcre-devel              i386       5.0-4            base              107 k

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.yum install httpd-devel
2.
3.
  

Actual Results:  All the other packages are installed but some may be not necessary

Additional info:
Comment 1 Joe Orton 2005-06-24 17:51:26 EDT
They are all necessary unless you have specific evidence to the contrary.

You can't use httpd headers without the headers from apr, apr-util and pcre. 
You can't use the libraries from apr-util without the libraries from openldap,
etc etc.

Note You need to log in before you can comment on or make changes to this bug.